### Method

# GimpUi SizeEntry add_field

#### Declaration [src]

    void
    gimp_size_entry_add_field (
      GimpSizeEntry* gse,
      GtkSpinButton* value_spinbutton,
      GtkSpinButton* refval_spinbutton
    )

#### Description [src]

Adds an input field to the `GimpSizeEntry`.

The new input field will have the index 0. If you specified `show_refval` as `TRUE` in `gimp_size_entry_new()` you have to pass an additional `GtkSpinButton` to hold the reference value. If `show_refval` was `FALSE`, `refval_spinbutton` will be ignored.

#### Parameters

`value_spinbutton` | `GtkSpinButton`
| The spinbutton to display the field’s value.
| The data is owned by the caller of the function.
`refval_spinbutton` | `GtkSpinButton`
| The spinbutton to display the field’s reference value.
| The argument can be `NULL`.
| The data is owned by the caller of the function.